Open CASCADE Technology: GeomInt_MyGradientOfTheComputeLineBezierOfWLApprox Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
GeomInt_MyGradientOfTheComputeLineBezierOfWLApprox Class Reference

`#include <GeomInt_MyGradientOfTheComputeLineBezierOfWLApprox.hxx>`

## Public Member Functions
| GeomInt_MyGradientOfTheComputeLineBezierOfWLApprox (const GeomInt_TheMultiLineOfWLApprox &SSP, const Standard_Integer FirstPoint, const Standard_Integer LastPoint, const Handle< AppParCurves_HArray1OfConstraintCouple > &TheConstraints, math_Vector &Parameters, const Standard_Integer Deg, const Standard_Real Tol3d, const Standard_Real Tol2d, const Standard_Integer NbIterations=200)
Standard_Boolean | IsDone () const
AppParCurves_MultiCurve | Value () const
Standard_Real | Error (const Standard_Integer Index) const
Standard_Real | MaxError3d () const
Standard_Real | MaxError2d () const
Standard_Real | AverageError () const

## Constructor & Destructor Documentation

GeomInt_MyGradientOfTheComputeLineBezierOfWLApprox::GeomInt_MyGradientOfTheComputeLineBezierOfWLApprox | ( | const GeomInt_TheMultiLineOfWLApprox & | SSP,
|  | const Standard_Integer | FirstPoint,
|  | const Standard_Integer | LastPoint,
|  | const Handle< AppParCurves_HArray1OfConstraintCouple > & | TheConstraints,
|  | math_Vector & | Parameters,
|  | const Standard_Integer | Deg,
|  | const Standard_Real | Tol3d,
|  | const Standard_Real | Tol2d,
|  | const Standard_Integer | NbIterations = `200`
| ) |  |

## Member Function Documentation

Standard_Real GeomInt_MyGradientOfTheComputeLineBezierOfWLApprox::AverageError | ( |  | ) | const

Standard_Real GeomInt_MyGradientOfTheComputeLineBezierOfWLApprox::Error | ( | const Standard_Integer | Index | ) | const

Standard_Boolean GeomInt_MyGradientOfTheComputeLineBezierOfWLApprox::IsDone | ( |  | ) | const

Standard_Real GeomInt_MyGradientOfTheComputeLineBezierOfWLApprox::MaxError2d | ( |  | ) | const

Standard_Real GeomInt_MyGradientOfTheComputeLineBezierOfWLApprox::MaxError3d | ( |  | ) | const

AppParCurves_MultiCurve GeomInt_MyGradientOfTheComputeLineBezierOfWLApprox::Value | ( |  | ) | const

The documentation for this class was generated from the following file:

- GeomInt_MyGradientOfTheComputeLineBezierOfWLApprox.hxx